精华内容
下载资源
问答
  • UOS Deepin Linux 系统引导丢失修复
    千次阅读
    2021-01-11 18:33:42

    本篇文章讲解通俗易懂,以全新的方式修复引导,但第一次使用可能会比较麻烦,适用于Linux小白用户。也适合别的方法看不懂、不会操作、操作无效等情况(就是那种操作没有一点问题,但就是搞不定引导的情况)

    本文章为原创文章,全球首发,转载请注明出处!

    原理说明:

    借助Linux系统在更新引导时扫描计算机内所有系统的特性,使用完好的Linux系统引导程序进入引导丢失的Linux系统,在引导丢失的系统内修复引导。

    操作方法:

    1. 安装Deepin系统至U盘(类似WTG,此为安装在U盘上的Deepin系统)。
    2. 将U盘插入Linux引导丢失的电脑。
    3. 计算机引导选择U盘,并进入U盘内的Deepin系统。
    4. 打开终端(默认快捷键Ctrl+Alt+T),输入 sudo update-grub 更新引导(输密码时不会显示,输入完成回车即可)。
    5. 重启电脑,引导选择U盘,在U盘的GRUB系统选择界面上,选择那个引导丢失的Linux系统。
    6. 进入引导丢失的系统后,在系统内将安装了Deepin的U盘弹出(为的是防止后面更新引导时把U盘内的系统扫描上)
    7. 打开终端(此时是在引导丢失的系统中),输入 sudo update-grub 修复引导(依靠更新引导时自动修复)(UOS需开启开发者)
    8. 引导修复完成

    其他方法——grub-customizer:

    1. 进入U盘中的Deepin系统
    2. 终端运行 sudo apt-get update 以获取最新版软件包
    3. 终端运行 sudo apt-get upgrade 以更新到最新版软件
    4. 终端运行 sudo apt-get install grub-customizer 以安装 grub-customizer 软件
    5. 使用软件修复引导

    推荐软件:

    通常情况下请使用 *.amd64.deb 软件包
    grub-customizer 下载地址:https://community-packages.deepin.com/deepin/pool/main/g/grub-customizer/
    深度系统修复工具 下载地址:https://community-packages.deepin.com/deepin/pool/main/d/deepin-repair-tools/

    更多相关内容
  • 转自:https://bbs.qunyingkeji.com/378/使用深度操作系统启动盘...sudo service lightdm stopstartx进入Live CD系统后打开终端,挂载需要修复系统的 / 挂载到/mnt,可以利用Gparted或者sudo fdisk -l命令查看,例...

    转自:https://bbs.qunyingkeji.com/378/

    使用深度操作系统启动盘引导电脑启动,待进入安装界面后,

    按下Ctrl+Alt+F1,执行以下命令,

    稍等片刻,进入Live CD模式。

    sudo service lightdm stop

    startx

    进入Live CD系统后打开终端,挂载需要修复系统的 / 挂载到/mnt,

    可以利用Gparted或者sudo fdisk -l命令查看,

    例如需要修复系统的/分区为/dev/sda1。

    执行以下命令:

    sudo mount /dev/sda1 /mnt

    如果需要修复系统的/boot单独分了出来(假设为/dev/sda2),也要挂上,终端执行:

    sudo mount /dev/sda2 /mnt/boot

    另外,将Live CD系统的/dev目录同时挂在/mnt下,终端执行:

    sudo mount --bind /dev /mnt/dev

    然后使用chroot命令,将Live CD的 / 设为以前的/,终端执行:

    sudo mount --bind /proc /mnt/proc

    sudo mount --bind /sys /mnt/sys

    sudo chroot /mnt

    安装并刷新GRUB设置(主板为BIOS引导),请终端执行:

    grub-probe -t device /boot/grub

    sudo grub-install /dev/sda

    sudo grub-install --recheck /dev/sda

    sudo update-grub

    安装并刷新GRUB设置(主板为UEFI引导),请终端执行:

    启动root shell后,检查您的EFI系统分区(最可能/ dev / sda1)是否安装在/ boot / efi上

    mount / dev / sda1 / boot / efi

    重新安装grub-efi包

    apt-get install --reinstall grub-efi

    将debian引导加载程序放在/ boot / efi中,并在计算机NVRAM中创建一个适当的条目

    grub-install / dev / sda

    重新创建一个基于磁盘分区模式的grub配置文件

    update-grub

    挂载efi分区到/boot/efi,安装grub-efi包。

    grub-install --target=x86_64-efi --efi-directory=/boot/efi --bootloader-id=Deepin

    sudo grub-mkconfig -o /boot/grub/grub.cfg

    修复完成,重启电脑生效。

    注意看清你系统盘符名称是不是sda,换成你的盘符名

    示例:

    sudo mount /dev/sda4 /mnt

    sudo mount --bind /dev /mnt/dev

    sudo mount --bind /dev/pts /mnt/dev/pts

    sudo mount --bind /proc /mnt/proc

    sudo mount --bind /sys /mnt/sys

    sudo chroot /mnt

    grub-install /dev/sda

    grub-install --recheck /dev/sda

    update-grub

    reboot

    展开全文
  • 修复deepin wine 起因:之前因为Ubuntu16下没有好用的邮件终端,所以用deepin版本的Foxmail,觉得还可以。 后来因为要研究VLC播放器,发现不能播放视频,重新安装VLC之后一不小心把deepin卸载了,后来重装又遇到一...

    修复deepin wine

    起因:之前因为Ubuntu16下没有好用的邮件终端,所以用deepin版本的Foxmail,觉得还可以。
    后来因为要研究VLC播放器,发现不能播放视频,重新安装VLC之后一不小心把deepin卸载了,后来重装又遇到一系列依赖不成立问题。
    总结:解决依赖问题,关键还是要靠源,只有源好,才不会有依赖问题;慎用aptitude,虽然它可以帮你搞定一些依赖关系,但你要注意它可能会把你不希望卸载的应用卸载掉,所以必须仔细查看,在你按enter之前。
    以下附带出现依赖问题的log和采用新的源之后成功修复依赖关系的log:

    正在设置 deepin-fonts-wine (2.18-12) ...
    dpkg: 依赖关系问题使得 deepin-libwine:i386 的配置工作不能继续:
     deepin-libwine:i386 依赖于 liblcms2-2 (>= 2.2+git20110628).
     deepin-libwine:i386 依赖于 libmpg123-0 (>= 1.13.7).
     deepin-libwine:i386 依赖于 libpcap0.8 (>= 0.9.8).
     deepin-libwine:i386 依赖于 libusb-1.0-0 (>= 2:1.0.16).
     deepin-libwine:i386 依赖于 libxml2 (>= 2.9.0).
     deepin-libwine:i386 依赖于 ocl-icd-libopencl1 | libopencl1.
     deepin-libwine:i386 依赖于 ocl-icd-libopencl1 (>= 1.0) | libopencl-1.1-1.
     deepin-libwine:i386 依赖于 libgl1-mesa-glx.
     deepin-libwine:i386 依赖于 libglu1-mesa.
     deepin-libwine:i386 依赖于 libosmesa6.
     deepin-libwine:i386 依赖于 libxslt1.1.
     deepin-libwine:i386 依赖于 libv4l-0.
     deepin-libwine:i386 依赖于 libpng16-16.
     deepin-libwine:i386 依赖于 libodbc1.
    
    dpkg: 处理软件包 deepin-libwine:i386 (--install)时出错:
     依赖关系问题 - 仍未被配置
    dpkg: 依赖关系问题使得 deepin-libwine-dbg:i386 的配置工作不能继续:
     deepin-libwine-dbg:i386 依赖于 deepin-libwine (= 2.18-12);然而:
      软件包 deepin-libwine:i386 尚未配置。
    
    dpkg: 处理软件包 deepin-libwine-dbg:i386 (--install)时出错:
     依赖关系问题 - 仍未被配置
    dpkg: 依赖关系问题使得 deepin-libwine-dev:i386 的配置工作不能继续:
     deepin-libwine-dev:i386 依赖于 deepin-libwine (= 2.18-12);然而:
      软件包 deepin-libwine:i386 尚未配置。
     deepin-libwine-dev:i386 依赖于 libc6-dev;然而:
    
    dpkg: 处理软件包 deepin-libwine-dev:i386 (--install)时出错:
     依赖关系问题 - 仍未被配置
    dpkg: 依赖关系问题使得 deepin-wine32:i386 的配置工作不能继续:
     deepin-wine32:i386 依赖于 deepin-libwine (= 2.18-12);然而:
      软件包 deepin-libwine:i386 尚未配置。
     deepin-wine32:i386 依赖于 libgl1-mesa-dri;然而:
      未安装软件包 libgl1-mesa-dri:i386。
    
    dpkg: 处理软件包 deepin-wine32:i386 (--install)时出错:
     依赖关系问题 - 仍未被配置
    dpkg: 依赖关系问题使得 deepin-wine32-preloader:i386 的配置工作不能继续:
     deepin-wine32-preloader:i386 依赖于 deepin-wine32;然而:
      软件包 deepin-wine32:i386 尚未配置。
    
    dpkg: 处理软件包 deepin-wine32-preloader:i386 (--install)时出错:
     依赖关系问题 - 仍未被配置
    dpkg: 依赖关系问题使得 deepin-wine32-tools:i386 的配置工作不能继续:
     deepin-wine32-tools:i386 依赖于 deepin-libwine-dev (= 2.18-12);然而:
      软件包 deepin-libwine-dev:i386 尚未配置。
    
    dpkg: 处理软件包 deepin-wine32-tools:i386 (--install)时出错:
     依赖关系问题 - 仍未被配置
    dpkg: 依赖关系问题使得 deepin-wine 的配置工作不能继续:
     deepin-wine 依赖于 deepin-wine64 (>= 2.18-12) | deepin-wine32 (>= 2.18-12);然而:
      未安装软件包 deepin-wine64。
      软件包 deepin-wine32:i386 尚未配置。
     deepin-wine 依赖于 deepin-wine64 (<< 2.18-12.1~) | deepin-wine32 (<< 2.18-12.1~);然而:
      未安装软件包 deepin-wine64。
      软件包 deepin-wine32:i386 尚未配置。
    
    dpkg: 处理软件包 deepin-wine (--install)时出错:
     依赖关系问题 - 仍未被配置
    dpkg: 依赖关系问题使得 deepin-wine-binfmt 的配置工作不能继续:
     deepin-wine-binfmt 依赖于 deepin-wine;然而:
      软件包 deepin-wine 尚未配置。
    
    dpkg: 处理软件包 deepin-wine-binfmt (--install)时出错:
     依赖关系问题 - 仍未被配置
    正在设置 deepin-wine-plugin (1.0deepin2) ...
    正在设置 deepin-wine-plugin-virtual (1.0deepin1) ...
    正在设置 deepin-wine-helper:i386 (1.2deepin8) ...
    正在设置 deepin-wine-uninstaller:i386 (0.1deepin2) ...
    正在处理用于 libc-bin (2.23-0ubuntu11) 的触发器 ...
    正在处理用于 man-db (2.7.5-1) 的触发器 ...
    在处理时有错误发生:
     deepin-libwine:i386
     deepin-libwine-dbg:i386
     deepin-libwine-dev:i386
     deepin-wine32:i386
     deepin-wine32-preloader:i386
     deepin-wine32-tools:i386
     deepin-wine
     deepin-wine-binfmt
    安装完成,正在自动安装依赖...
    正在读取软件包列表... 完成
    正在分析软件包的依赖关系树       
    正在读取状态信息... 完成       
    正在修复依赖关系... 完成
    下列软件包将被【卸载】:
      deepin-libwine:i386 deepin-libwine-dbg:i386 deepin-libwine-dev:i386
      deepin-wine deepin-wine-binfmt deepin-wine32:i386
      deepin-wine32-preloader:i386 deepin-wine32-tools:i386
    升级了 0 个软件包,新安装了 0 个软件包,要卸载 8 个软件包,有 0 个软件包未被升级。
    有 8 个软件包没有被完全安装或卸载。
    解压缩后将会空出 224 MB 的空间。
    您希望继续执行吗? [Y/n] 
    (正在读取数据库 ... 系统当前共安装有 337052 个文件和目录。)
    正在卸载 deepin-wine32-tools:i386 (2.18-12) ...
    正在卸载 deepin-libwine-dev:i386 (2.18-12) ...
    正在卸载 deepin-wine32-preloader:i386 (2.18-12) ...
    正在卸载 deepin-wine-binfmt (2.18-12) ...
    正在卸载 deepin-wine (2.18-12) ...
    正在卸载 deepin-wine32:i386 (2.18-12) ...
    正在卸载 deepin-libwine-dbg:i386 (2.18-12) ...
    正在卸载 deepin-libwine:i386 (2.18-12) ...
    正在处理用于 man-db (2.7.5-1) 的触发器 ...
    正在处理用于 libc-bin (2.23-0ubuntu11) 的触发器 ...
    

    之前是用的阿里云的源,后来换清华的源

    # huziqin @ T460 in ~/work/deepin-wine/deepin-wine-for-ubuntu on git:master o [15:24:29] C:100
    $ ./install.sh                        
    /home/huziqin/work/deepin-wine/deepin-wine-for-ubuntu
    准备添加32位支持
    [sudo] huziqin 的密码: 
    添加成功,准备刷新apt缓存信息...
    命中:1 http://archive.ubuntukylin.com:10006/ubuntukylin xenial InRelease
    命中:2 http://mirrors.tuna.tsinghua.edu.cn/ubuntu xenial InRelease           
    命中:3 http://mirrors.tuna.tsinghua.edu.cn/ubuntu xenial-updates InRelease     
    命中:4 http://mirrors.tuna.tsinghua.edu.cn/ubuntu xenial-backports InRelease   
    命中:5 http://mirrors.tuna.tsinghua.edu.cn/ubuntu xenial-security InRelease 
    命中:6 http://ppa.launchpad.net/bladerf/bladerf/ubuntu xenial InRelease
    命中:7 http://ppa.launchpad.net/gqrx/gqrx-sdr/ubuntu xenial InRelease        
    命中:8 http://ppa.launchpad.net/mc3man/gstffmpeg-keep/ubuntu xenial InRelease
    命中:9 http://ppa.launchpad.net/myriadrf/drivers/ubuntu xenial InRelease     
    命中:10 http://ppa.launchpad.net/myriadrf/gnuradio/ubuntu xenial InRelease   
    正在读取软件包列表... 完成                        
    E: 无法找到获取软件包的渠道 /usr/lib/apt/methods/https 所需的驱动程序。
    N: 是否安装了 apt-transport-https 软件包?
    E: 无法找到获取软件包的渠道 /usr/lib/apt/methods/https 所需的驱动程序。
    N: 是否安装了 apt-transport-https 软件包?
    E: 无法下载 https://packages.gitlab.com/gitlab/gitlab-ee/ubuntu/dists/xenial/InRelease  
    E: 无法下载 https://download.sublimetext.com/apt/stable/InRelease  
    E: 部分索引文件下载失败。如果忽略它们,那将转而使用旧的索引文件。
    即将开始安装...
    (正在读取数据库 ... 系统当前共安装有 334158 个文件和目录。)
    正准备解包 1.1udis86_1.72-2_i386.deb  ...
    正在将 udis86:i386 (1.72-2) 解包到 (1.72-2) 上 ...
    正准备解包 1.2deepin-fonts-wine_2.18-12_all.deb  ...
    正在将 deepin-fonts-wine (2.18-12) 解包到 (2.18-12) 上 ...
    正在选中未选择的软件包 deepin-libwine:i386。
    正准备解包 2.1deepin-libwine_2.18-12_i386.deb  ...
    正在解包 deepin-libwine:i386 (2.18-12) ...
    正在选中未选择的软件包 deepin-libwine-dbg:i386。
    正准备解包 2.2deepin-libwine-dbg_2.18-12_i386.deb  ...
    正在解包 deepin-libwine-dbg:i386 (2.18-12) ...
    正在选中未选择的软件包 deepin-libwine-dev:i386。
    正准备解包 2.3deepin-libwine-dev_2.18-12_i386.deb  ...
    正在解包 deepin-libwine-dev:i386 (2.18-12) ...
    正在选中未选择的软件包 deepin-wine32:i386。
    正准备解包 3.1deepin-wine32_2.18-12_i386.deb  ...
    正在解包 deepin-wine32:i386 (2.18-12) ...
    正在选中未选择的软件包 deepin-wine32-preloader:i386。
    正准备解包 3.2deepin-wine32-preloader_2.18-12_i386.deb  ...
    正在解包 deepin-wine32-preloader:i386 (2.18-12) ...
    正在选中未选择的软件包 deepin-wine32-tools:i386。
    正准备解包 3.3deepin-wine32-tools_2.18-12_i386.deb  ...
    正在解包 deepin-wine32-tools:i386 (2.18-12) ...
    正准备解包 3.4deepin-wine32-preloader_2.18-12_i386.deb  ...
    正在将 deepin-wine32-preloader:i386 (2.18-12) 解包到 (2.18-12) 上 ...
    正在选中未选择的软件包 deepin-wine。
    正准备解包 4deepin-wine_2.18-12_all.deb  ...
    正在解包 deepin-wine (2.18-12) ...
    正在选中未选择的软件包 deepin-wine-binfmt。
    正准备解包 5deepin-wine-binfmt_2.18-12_all.deb  ...
    正在解包 deepin-wine-binfmt (2.18-12) ...
    正准备解包 6.1deepin-wine-plugin_1.0deepin2_amd64.deb  ...
    正在将 deepin-wine-plugin (1.0deepin2) 解包到 (1.0deepin2) 上 ...
    正准备解包 6.2deepin-wine-plugin-virtual_1.0deepin1_all.deb  ...
    正在将 deepin-wine-plugin-virtual (1.0deepin1) 解包到 (1.0deepin1) 上 ...
    正准备解包 7deepin-wine-helper_1.2deepin8_i386.deb  ...
    正在将 deepin-wine-helper:i386 (1.2deepin8) 解包到 (1.2deepin8) 上 ...
    正准备解包 8deepin-wine-uninstaller_0.1deepin2_i386.deb  ...
    正在将 deepin-wine-uninstaller:i386 (0.1deepin2) 解包到 (0.1deepin2) 上 ...
    正准备解包 deepin-wine_2.18-12_all.deb  ...
    正在将 deepin-wine (2.18-12) 解包到 (2.18-12) 上 ...
    在这此运行中,软件包 deepin-wine32-preloader:i386 有多个副本被解压缩了!
    现只配置它一次。
    在这此运行中,软件包 deepin-wine 有多个副本被解压缩了!
    现只配置它一次。
    正在设置 udis86:i386 (1.72-2) ...
    正在设置 deepin-fonts-wine (2.18-12) ...
    dpkg: 依赖关系问题使得 deepin-libwine:i386 的配置工作不能继续:
     deepin-libwine:i386 依赖于 liblcms2-2 (>= 2.2+git20110628).
     deepin-libwine:i386 依赖于 libmpg123-0 (>= 1.13.7).
     deepin-libwine:i386 依赖于 libpcap0.8 (>= 0.9.8).
     deepin-libwine:i386 依赖于 libusb-1.0-0 (>= 2:1.0.16).
     deepin-libwine:i386 依赖于 libxml2 (>= 2.9.0).
     deepin-libwine:i386 依赖于 ocl-icd-libopencl1 | libopencl1.
     deepin-libwine:i386 依赖于 ocl-icd-libopencl1 (>= 1.0) | libopencl-1.1-1.
     deepin-libwine:i386 依赖于 libgl1-mesa-glx.
     deepin-libwine:i386 依赖于 libglu1-mesa.
     deepin-libwine:i386 依赖于 libosmesa6.
     deepin-libwine:i386 依赖于 libxslt1.1.
     deepin-libwine:i386 依赖于 libv4l-0.
     deepin-libwine:i386 依赖于 libpng16-16.
     deepin-libwine:i386 依赖于 libodbc1.
    
    dpkg: 处理软件包 deepin-libwine:i386 (--install)时出错:
     依赖关系问题 - 仍未被配置
    dpkg: 依赖关系问题使得 deepin-libwine-dbg:i386 的配置工作不能继续:
     deepin-libwine-dbg:i386 依赖于 deepin-libwine (= 2.18-12);然而:
      软件包 deepin-libwine:i386 尚未配置。
    
    dpkg: 处理软件包 deepin-libwine-dbg:i386 (--install)时出错:
     依赖关系问题 - 仍未被配置
    dpkg: 依赖关系问题使得 deepin-libwine-dev:i386 的配置工作不能继续:
     deepin-libwine-dev:i386 依赖于 deepin-libwine (= 2.18-12);然而:
      软件包 deepin-libwine:i386 尚未配置。
     deepin-libwine-dev:i386 依赖于 libc6-dev;然而:
    
    dpkg: 处理软件包 deepin-libwine-dev:i386 (--install)时出错:
     依赖关系问题 - 仍未被配置
    dpkg: 依赖关系问题使得 deepin-wine32:i386 的配置工作不能继续:
     deepin-wine32:i386 依赖于 deepin-libwine (= 2.18-12);然而:
      软件包 deepin-libwine:i386 尚未配置。
     deepin-wine32:i386 依赖于 libgl1-mesa-dri;然而:
      未安装软件包 libgl1-mesa-dri:i386。
    
    dpkg: 处理软件包 deepin-wine32:i386 (--install)时出错:
     依赖关系问题 - 仍未被配置
    dpkg: 依赖关系问题使得 deepin-wine32-preloader:i386 的配置工作不能继续:
     deepin-wine32-preloader:i386 依赖于 deepin-wine32;然而:
      软件包 deepin-wine32:i386 尚未配置。
    
    dpkg: 处理软件包 deepin-wine32-preloader:i386 (--install)时出错:
     依赖关系问题 - 仍未被配置
    dpkg: 依赖关系问题使得 deepin-wine32-tools:i386 的配置工作不能继续:
     deepin-wine32-tools:i386 依赖于 deepin-libwine-dev (= 2.18-12);然而:
      软件包 deepin-libwine-dev:i386 尚未配置。
    
    dpkg: 处理软件包 deepin-wine32-tools:i386 (--install)时出错:
     依赖关系问题 - 仍未被配置
    dpkg: 依赖关系问题使得 deepin-wine 的配置工作不能继续:
     deepin-wine 依赖于 deepin-wine64 (>= 2.18-12) | deepin-wine32 (>= 2.18-12);然而:
      未安装软件包 deepin-wine64。
      软件包 deepin-wine32:i386 尚未配置。
     deepin-wine 依赖于 deepin-wine64 (<< 2.18-12.1~) | deepin-wine32 (<< 2.18-12.1~);然而:
      未安装软件包 deepin-wine64。
      软件包 deepin-wine32:i386 尚未配置。
    
    dpkg: 处理软件包 deepin-wine (--install)时出错:
     依赖关系问题 - 仍未被配置
    dpkg: 依赖关系问题使得 deepin-wine-binfmt 的配置工作不能继续:
     deepin-wine-binfmt 依赖于 deepin-wine;然而:
      软件包 deepin-wine 尚未配置。
    
    dpkg: 处理软件包 deepin-wine-binfmt (--install)时出错:
     依赖关系问题 - 仍未被配置
    正在设置 deepin-wine-plugin (1.0deepin2) ...
    正在设置 deepin-wine-plugin-virtual (1.0deepin1) ...
    正在设置 deepin-wine-helper:i386 (1.2deepin8) ...
    正在设置 deepin-wine-uninstaller:i386 (0.1deepin2) ...
    正在处理用于 libc-bin (2.23-0ubuntu11) 的触发器 ...
    正在处理用于 man-db (2.7.5-1) 的触发器 ...
    在处理时有错误发生:
     deepin-libwine:i386
     deepin-libwine-dbg:i386
     deepin-libwine-dev:i386
     deepin-wine32:i386
     deepin-wine32-preloader:i386
     deepin-wine32-tools:i386
     deepin-wine
     deepin-wine-binfmt
    安装完成,正在自动安装依赖...
    正在读取软件包列表... 完成
    正在分析软件包的依赖关系树       
    正在读取状态信息... 完成       
    正在修复依赖关系... 完成
    将会同时安装下列软件:
      libdrm-amdgpu1:i386 libdrm-intel1:i386 libdrm-nouveau2:i386
      libdrm-radeon1:i386 libdrm2:i386 libedit2:i386 libelf1:i386 libgl1-mesa-dev
      libgl1-mesa-dri:i386 libgl1-mesa-glx libgl1-mesa-glx:i386 libglapi-mesa
      libglapi-mesa:i386 libgles2-mesa libglu1-mesa:i386 libicu55:i386
      liblcms2-2:i386 libllvm6.0:i386 libmpg123-0:i386 libodbc1:i386
      libosmesa6:i386 libpcap0.8:i386 libpciaccess0:i386 libpng16-16:i386
      libsensors4:i386 libtxc-dxtn-s2tc0:i386 libusb-1.0-0:i386 libv4l-0:i386
      libv4lconvert0:i386 libx11-xcb1:i386 libxcb-dri2-0:i386 libxcb-dri3-0:i386
      libxcb-glx0:i386 libxcb-present0:i386 libxcb-sync1:i386 libxml2:i386
      libxshmfence1:i386 libxslt1.1:i386 mesa-common-dev ocl-icd-libopencl1:i386
    建议安装:
      libmyodbc:i386 odbc-postgresql:i386 tdsodbc:i386 unixodbc-bin:i386
      lm-sensors:i386 opencl-icd:i386
    推荐安装:
      xml-core:i386
    下列软件包将被【卸载】:
      deepin-libwine-dev:i386 deepin-wine32-tools:i386
    下列【新】软件包将被安装:
      libdrm-amdgpu1:i386 libdrm-intel1:i386 libdrm-nouveau2:i386
      libdrm-radeon1:i386 libdrm2:i386 libedit2:i386 libelf1:i386
      libgl1-mesa-dri:i386 libgl1-mesa-glx:i386 libglapi-mesa:i386
      libglu1-mesa:i386 libicu55:i386 liblcms2-2:i386 libllvm6.0:i386
      libmpg123-0:i386 libodbc1:i386 libosmesa6:i386 libpcap0.8:i386
      libpciaccess0:i386 libpng16-16:i386 libsensors4:i386 libtxc-dxtn-s2tc0:i386
      libusb-1.0-0:i386 libv4l-0:i386 libv4lconvert0:i386 libx11-xcb1:i386
      libxcb-dri2-0:i386 libxcb-dri3-0:i386 libxcb-glx0:i386 libxcb-present0:i386
      libxcb-sync1:i386 libxml2:i386 libxshmfence1:i386 libxslt1.1:i386
      ocl-icd-libopencl1:i386
    下列软件包将被升级:
      libgl1-mesa-dev libgl1-mesa-glx libglapi-mesa libgles2-mesa mesa-common-dev
    升级了 5 个软件包,新安装了 35 个软件包,要卸载 2 个软件包,有 13 个软件包未被升级。
    有 8 个软件包没有被完全安装或卸载。
    需要下载 34.9 MB 的归档。
    解压缩后会消耗 226 MB 的额外空间。
    您希望继续执行吗? [Y/n] 
    获取:1 http://mirrors.tuna.tsinghua.edu.cn/ubuntu xenial-updates/main i386 liblcms2-2 i386 2.6-3ubuntu2.1 [148 kB]
    获取:2 http://mirrors.tuna.tsinghua.edu.cn/ubuntu xenial-updates/universe i386 libmpg123-0 i386 1.22.4-1ubuntu0.1 [126 kB]
    获取:3 http://mirrors.tuna.tsinghua.edu.cn/ubuntu xenial-updates/main i386 libpcap0.8 i386 1.7.4-2ubuntu0.1 [121 kB]
    获取:4 http://mirrors.tuna.tsinghua.edu.cn/ubuntu xenial/main i386 libusb-1.0-0 i386 2:1.0.20-1 [46.0 kB]
    获取:5 http://mirrors.tuna.tsinghua.edu.cn/ubuntu xenial-updates/main i386 libicu55 i386 55.1-7ubuntu0.5 [7,764 kB]
    获取:6 http://mirrors.tuna.tsinghua.edu.cn/ubuntu xenial-updates/main i386 libxml2 i386 2.9.3+dfsg1-1ubuntu0.7 [732 kB]
    获取:7 http://mirrors.tuna.tsinghua.edu.cn/ubuntu xenial/main i386 ocl-icd-libopencl1 i386 2.2.8-1 [30.4 kB]
    获取:8 http://mirrors.tuna.tsinghua.edu.cn/ubuntu xenial-updates/main amd64 libgl1-mesa-dev amd64 18.0.5-0ubuntu0~16.04.1 [4,456 B]
    获取:9 http://mirrors.tuna.tsinghua.edu.cn/ubuntu xenial-updates/main amd64 mesa-common-dev amd64 18.0.5-0ubuntu0~16.04.1 [543 kB]
    获取:10 http://mirrors.tuna.tsinghua.edu.cn/ubuntu xenial-updates/main amd64 libgles2-mesa amd64 18.0.5-0ubuntu0~16.04.1 [13.4 kB]
    获取:11 http://mirrors.tuna.tsinghua.edu.cn/ubuntu xenial-updates/main amd64 libgl1-mesa-glx amd64 18.0.5-0ubuntu0~16.04.1 [132 kB]
    获取:12 http://mirrors.tuna.tsinghua.edu.cn/ubuntu xenial-updates/main amd64 libglapi-mesa amd64 18.0.5-0ubuntu0~16.04.1 [23.4 kB]
    获取:13 http://mirrors.tuna.tsinghua.edu.cn/ubuntu xenial-updates/main i386 libdrm2 i386 2.4.91-2~16.04.1 [33.8 kB]
    获取:14 http://mirrors.tuna.tsinghua.edu.cn/ubuntu xenial-updates/main i386 libglapi-mesa i386 18.0.5-0ubuntu0~16.04.1 [23.3 kB]
    获取:15 http://mirrors.tuna.tsinghua.edu.cn/ubuntu xenial-updates/main i386 libx11-xcb1 i386 2:1.6.3-1ubuntu2.1 [9,028 B]
    获取:16 http://mirrors.tuna.tsinghua.edu.cn/ubuntu xenial/main i386 libxcb-dri2-0 i386 1.11.1-1ubuntu1 [7,292 B]
    获取:17 http://mirrors.tuna.tsinghua.edu.cn/ubuntu xenial/main i386 libxcb-dri3-0 i386 1.11.1-1ubuntu1 [5,392 B]
    获取:18 http://mirrors.tuna.tsinghua.edu.cn/ubuntu xenial/main i386 libxcb-glx0 i386 1.11.1-1ubuntu1 [22.3 kB]
    获取:19 http://mirrors.tuna.tsinghua.edu.cn/ubuntu xenial/main i386 libxcb-present0 i386 1.11.1-1ubuntu1 [5,396 B]
    获取:20 http://mirrors.tuna.tsinghua.edu.cn/ubuntu xenial/main i386 libxcb-sync1 i386 1.11.1-1ubuntu1 [8,702 B]
    获取:21 http://mirrors.tuna.tsinghua.edu.cn/ubuntu xenial/main i386 libxshmfence1 i386 1.2-1 [5,164 B]
    获取:22 http://mirrors.tuna.tsinghua.edu.cn/ubuntu xenial-updates/main i386 libdrm-amdgpu1 i386 2.4.91-2~16.04.1 [22.1 kB]
    获取:23 http://mirrors.tuna.tsinghua.edu.cn/ubuntu xenial/main i386 libpciaccess0 i386 0.13.4-1 [20.3 kB]
    获取:24 http://mirrors.tuna.tsinghua.edu.cn/ubuntu xenial-updates/main i386 libdrm-intel1 i386 2.4.91-2~16.04.1 [63.9 kB]
    获取:25 http://mirrors.tuna.tsinghua.edu.cn/ubuntu xenial-updates/main i386 libdrm-nouveau2 i386 2.4.91-2~16.04.1 [18.2 kB]
    获取:26 http://mirrors.tuna.tsinghua.edu.cn/ubuntu xenial-updates/main i386 libdrm-radeon1 i386 2.4.91-2~16.04.1 [23.1 kB]
    获取:27 http://mirrors.tuna.tsinghua.edu.cn/ubuntu xenial-updates/main i386 libelf1 i386 0.165-3ubuntu1.2 [49.8 kB]
    获取:28 http://mirrors.tuna.tsinghua.edu.cn/ubuntu xenial/main i386 libedit2 i386 3.1-20150325-1ubuntu2 [80.9 kB]
    获取:29 http://mirrors.tuna.tsinghua.edu.cn/ubuntu xenial-updates/main i386 libllvm6.0 i386 1:6.0-1ubuntu2~16.04.1 [15.9 MB]
    获取:30 http://mirrors.tuna.tsinghua.edu.cn/ubuntu xenial/main i386 libsensors4 i386 1:3.4.0-2 [28.9 kB]
    获取:31 http://mirrors.tuna.tsinghua.edu.cn/ubuntu xenial-updates/main i386 libgl1-mesa-dri i386 18.0.5-0ubuntu0~16.04.1 [6,561 kB]
    获取:32 http://mirrors.tuna.tsinghua.edu.cn/ubuntu xenial-updates/main i386 libgl1-mesa-glx i386 18.0.5-0ubuntu0~16.04.1 [139 kB]
    获取:33 http://mirrors.tuna.tsinghua.edu.cn/ubuntu xenial/main i386 libglu1-mesa i386 9.0.0-2.1 [178 kB]
    获取:34 http://mirrors.tuna.tsinghua.edu.cn/ubuntu xenial-updates/main i386 libosmesa6 i386 18.0.5-0ubuntu0~16.04.1 [1,346 kB]
    获取:35 http://mirrors.tuna.tsinghua.edu.cn/ubuntu xenial-updates/main i386 libxslt1.1 i386 1.1.28-2.1ubuntu0.3 [157 kB]
    获取:36 http://mirrors.tuna.tsinghua.edu.cn/ubuntu xenial/main i386 libv4lconvert0 i386 1.10.0-1 [75.7 kB]
    获取:37 http://mirrors.tuna.tsinghua.edu.cn/ubuntu xenial/main i386 libv4l-0 i386 1.10.0-1 [41.8 kB]
    获取:38 http://mirrors.tuna.tsinghua.edu.cn/ubuntu xenial/universe i386 libpng16-16 i386 1.6.20-2 [181 kB]
    获取:39 http://mirrors.tuna.tsinghua.edu.cn/ubuntu xenial/main i386 libodbc1 i386 2.3.1-4.1 [192 kB]
    获取:40 http://mirrors.tuna.tsinghua.edu.cn/ubuntu xenial/main i386 libtxc-dxtn-s2tc0 i386 0~git20131104-1.1 [48.1 kB]
    已下载 34.9 MB,耗时 31秒 (1,125 kB/s)                                         
    正在从软件包中解出模板:100%
    (正在读取数据库 ... 系统当前共安装有 337052 个文件和目录。)
    正在卸载 deepin-wine32-tools:i386 (2.18-12) ...
    正在卸载 deepin-libwine-dev:i386 (2.18-12) ...
    正在处理用于 man-db (2.7.5-1) 的触发器 ...
    正在选中未选择的软件包 liblcms2-2:i386。
    (正在读取数据库 ... 系统当前共安装有 335930 个文件和目录。)
    正准备解包 .../liblcms2-2_2.6-3ubuntu2.1_i386.deb  ...
    正在解包 liblcms2-2:i386 (2.6-3ubuntu2.1) ...
    正在选中未选择的软件包 libmpg123-0:i386。
    正准备解包 .../libmpg123-0_1.22.4-1ubuntu0.1_i386.deb  ...
    正在解包 libmpg123-0:i386 (1.22.4-1ubuntu0.1) ...
    正在选中未选择的软件包 libpcap0.8:i386。
    正准备解包 .../libpcap0.8_1.7.4-2ubuntu0.1_i386.deb  ...
    正在解包 libpcap0.8:i386 (1.7.4-2ubuntu0.1) ...
    正在选中未选择的软件包 libusb-1.0-0:i386。
    正准备解包 .../libusb-1.0-0_2%3a1.0.20-1_i386.deb  ...
    正在解包 libusb-1.0-0:i386 (2:1.0.20-1) ...
    正在选中未选择的软件包 libicu55:i386。
    正准备解包 .../libicu55_55.1-7ubuntu0.5_i386.deb  ...
    正在解包 libicu55:i386 (55.1-7ubuntu0.5) ...
    正在选中未选择的软件包 libxml2:i386。
    正准备解包 .../libxml2_2.9.3+dfsg1-1ubuntu0.7_i386.deb  ...
    正在解包 libxml2:i386 (2.9.3+dfsg1-1ubuntu0.7) ...
    正在选中未选择的软件包 ocl-icd-libopencl1:i386。
    正准备解包 .../ocl-icd-libopencl1_2.2.8-1_i386.deb  ...
    正在解包 ocl-icd-libopencl1:i386 (2.2.8-1) ...
    正准备解包 .../libgl1-mesa-dev_18.0.5-0ubuntu0~16.04.1_amd64.deb  ...
    正在将 libgl1-mesa-dev:amd64 (18.0.5-0ubuntu0~16.04.1) 解包到 (11.2.0-1ubuntu2) 上 ...
    正准备解包 .../mesa-common-dev_18.0.5-0ubuntu0~16.04.1_amd64.deb  ...
    正在将 mesa-common-dev:amd64 (18.0.5-0ubuntu0~16.04.1) 解包到 (11.2.0-1ubuntu2) 上 ...
    正准备解包 .../libgles2-mesa_18.0.5-0ubuntu0~16.04.1_amd64.deb  ...
    正在将 libgles2-mesa:amd64 (18.0.5-0ubuntu0~16.04.1) 解包到 (11.2.0-1ubuntu2) 上 ...
    正准备解包 .../libgl1-mesa-glx_18.0.5-0ubuntu0~16.04.1_amd64.deb  ...
    正在将 libgl1-mesa-glx:amd64 (18.0.5-0ubuntu0~16.04.1) 解包到 (11.2.0-1ubuntu2) 上 ...
    正准备解包 .../libglapi-mesa_18.0.5-0ubuntu0~16.04.1_amd64.deb  ...
    正在将 libglapi-mesa:amd64 (18.0.5-0ubuntu0~16.04.1) 解包到 (11.2.0-1ubuntu2) 上 ...
    正在选中未选择的软件包 libdrm2:i386。
    正准备解包 .../libdrm2_2.4.91-2~16.04.1_i386.deb  ...
    正在解包 libdrm2:i386 (2.4.91-2~16.04.1) ...
    正在选中未选择的软件包 libglapi-mesa:i386。
    正准备解包 .../libglapi-mesa_18.0.5-0ubuntu0~16.04.1_i386.deb  ...
    正在解包 libglapi-mesa:i386 (18.0.5-0ubuntu0~16.04.1) ...
    正在选中未选择的软件包 libx11-xcb1:i386。
    正准备解包 .../libx11-xcb1_2%3a1.6.3-1ubuntu2.1_i386.deb  ...
    正在解包 libx11-xcb1:i386 (2:1.6.3-1ubuntu2.1) ...
    正在选中未选择的软件包 libxcb-dri2-0:i386。
    正准备解包 .../libxcb-dri2-0_1.11.1-1ubuntu1_i386.deb  ...
    正在解包 libxcb-dri2-0:i386 (1.11.1-1ubuntu1) ...
    正在选中未选择的软件包 libxcb-dri3-0:i386。
    正准备解包 .../libxcb-dri3-0_1.11.1-1ubuntu1_i386.deb  ...
    正在解包 libxcb-dri3-0:i386 (1.11.1-1ubuntu1) ...
    正在选中未选择的软件包 libxcb-glx0:i386。
    正准备解包 .../libxcb-glx0_1.11.1-1ubuntu1_i386.deb  ...
    正在解包 libxcb-glx0:i386 (1.11.1-1ubuntu1) ...
    正在选中未选择的软件包 libxcb-present0:i386。
    正准备解包 .../libxcb-present0_1.11.1-1ubuntu1_i386.deb  ...
    正在解包 libxcb-present0:i386 (1.11.1-1ubuntu1) ...
    正在选中未选择的软件包 libxcb-sync1:i386。
    正准备解包 .../libxcb-sync1_1.11.1-1ubuntu1_i386.deb  ...
    正在解包 libxcb-sync1:i386 (1.11.1-1ubuntu1) ...
    正在选中未选择的软件包 libxshmfence1:i386。
    正准备解包 .../libxshmfence1_1.2-1_i386.deb  ...
    正在解包 libxshmfence1:i386 (1.2-1) ...
    正在选中未选择的软件包 libdrm-amdgpu1:i386。
    正准备解包 .../libdrm-amdgpu1_2.4.91-2~16.04.1_i386.deb  ...
    正在解包 libdrm-amdgpu1:i386 (2.4.91-2~16.04.1) ...
    正在选中未选择的软件包 libpciaccess0:i386。
    正准备解包 .../libpciaccess0_0.13.4-1_i386.deb  ...
    正在解包 libpciaccess0:i386 (0.13.4-1) ...
    正在选中未选择的软件包 libdrm-intel1:i386。
    正准备解包 .../libdrm-intel1_2.4.91-2~16.04.1_i386.deb  ...
    正在解包 libdrm-intel1:i386 (2.4.91-2~16.04.1) ...
    正在选中未选择的软件包 libdrm-nouveau2:i386。
    正准备解包 .../libdrm-nouveau2_2.4.91-2~16.04.1_i386.deb  ...
    正在解包 libdrm-nouveau2:i386 (2.4.91-2~16.04.1) ...
    正在选中未选择的软件包 libdrm-radeon1:i386。
    正准备解包 .../libdrm-radeon1_2.4.91-2~16.04.1_i386.deb  ...
    正在解包 libdrm-radeon1:i386 (2.4.91-2~16.04.1) ...
    正在选中未选择的软件包 libelf1:i386。
    正准备解包 .../libelf1_0.165-3ubuntu1.2_i386.deb  ...
    正在解包 libelf1:i386 (0.165-3ubuntu1.2) ...
    正在选中未选择的软件包 libedit2:i386。
    正准备解包 .../libedit2_3.1-20150325-1ubuntu2_i386.deb  ...
    正在解包 libedit2:i386 (3.1-20150325-1ubuntu2) ...
    正在选中未选择的软件包 libllvm6.0:i386。
    正准备解包 .../libllvm6.0_1%3a6.0-1ubuntu2~16.04.1_i386.deb  ...
    正在解包 libllvm6.0:i386 (1:6.0-1ubuntu2~16.04.1) ...
    正在选中未选择的软件包 libsensors4:i386。
    正准备解包 .../libsensors4_1%3a3.4.0-2_i386.deb  ...
    正在解包 libsensors4:i386 (1:3.4.0-2) ...
    正在选中未选择的软件包 libgl1-mesa-dri:i386。
    正准备解包 .../libgl1-mesa-dri_18.0.5-0ubuntu0~16.04.1_i386.deb  ...
    正在解包 libgl1-mesa-dri:i386 (18.0.5-0ubuntu0~16.04.1) ...
    正在选中未选择的软件包 libgl1-mesa-glx:i386。
    正准备解包 .../libgl1-mesa-glx_18.0.5-0ubuntu0~16.04.1_i386.deb  ...
    正在解包 libgl1-mesa-glx:i386 (18.0.5-0ubuntu0~16.04.1) ...
    正在选中未选择的软件包 libglu1-mesa:i386。
    正准备解包 .../libglu1-mesa_9.0.0-2.1_i386.deb  ...
    正在解包 libglu1-mesa:i386 (9.0.0-2.1) ...
    正在选中未选择的软件包 libosmesa6:i386。
    正准备解包 .../libosmesa6_18.0.5-0ubuntu0~16.04.1_i386.deb  ...
    正在解包 libosmesa6:i386 (18.0.5-0ubuntu0~16.04.1) ...
    正在选中未选择的软件包 libxslt1.1:i386。
    正准备解包 .../libxslt1.1_1.1.28-2.1ubuntu0.3_i386.deb  ...
    正在解包 libxslt1.1:i386 (1.1.28-2.1ubuntu0.3) ...
    正在选中未选择的软件包 libv4lconvert0:i386。
    正准备解包 .../libv4lconvert0_1.10.0-1_i386.deb  ...
    正在解包 libv4lconvert0:i386 (1.10.0-1) ...
    正在选中未选择的软件包 libv4l-0:i386。
    正准备解包 .../libv4l-0_1.10.0-1_i386.deb  ...
    正在解包 libv4l-0:i386 (1.10.0-1) ...
    正在选中未选择的软件包 libpng16-16:i386。
    正准备解包 .../libpng16-16_1.6.20-2_i386.deb  ...
    正在解包 libpng16-16:i386 (1.6.20-2) ...
    正在选中未选择的软件包 libodbc1:i386。
    正准备解包 .../libodbc1_2.3.1-4.1_i386.deb  ...
    正在解包 libodbc1:i386 (2.3.1-4.1) ...
    正在选中未选择的软件包 libtxc-dxtn-s2tc0:i386。
    正准备解包 .../libtxc-dxtn-s2tc0_0~git20131104-1.1_i386.deb  ...
    正在解包 libtxc-dxtn-s2tc0:i386 (0~git20131104-1.1) ...
    正在处理用于 libc-bin (2.23-0ubuntu11) 的触发器 ...
    正在处理用于 man-db (2.7.5-1) 的触发器 ...
    正在处理用于 doc-base (0.10.7) 的触发器 ...
    Processing 1 added doc-base file...
    Registering documents with scrollkeeper...
    正在设置 liblcms2-2:i386 (2.6-3ubuntu2.1) ...
    正在设置 libmpg123-0:i386 (1.22.4-1ubuntu0.1) ...
    正在设置 libpcap0.8:i386 (1.7.4-2ubuntu0.1) ...
    正在设置 libusb-1.0-0:i386 (2:1.0.20-1) ...
    正在设置 libicu55:i386 (55.1-7ubuntu0.5) ...
    正在设置 libxml2:i386 (2.9.3+dfsg1-1ubuntu0.7) ...
    正在设置 ocl-icd-libopencl1:i386 (2.2.8-1) ...
    正在设置 mesa-common-dev:amd64 (18.0.5-0ubuntu0~16.04.1) ...
    正在设置 libglapi-mesa:amd64 (18.0.5-0ubuntu0~16.04.1) ...
    正在设置 libglapi-mesa:i386 (18.0.5-0ubuntu0~16.04.1) ...
    正在设置 libgl1-mesa-glx:amd64 (18.0.5-0ubuntu0~16.04.1) ...
    正在设置 libdrm2:i386 (2.4.91-2~16.04.1) ...
    正在设置 libx11-xcb1:i386 (2:1.6.3-1ubuntu2.1) ...
    正在设置 libxcb-dri2-0:i386 (1.11.1-1ubuntu1) ...
    正在设置 libxcb-dri3-0:i386 (1.11.1-1ubuntu1) ...
    正在设置 libxcb-glx0:i386 (1.11.1-1ubuntu1) ...
    正在设置 libxcb-present0:i386 (1.11.1-1ubuntu1) ...
    正在设置 libxcb-sync1:i386 (1.11.1-1ubuntu1) ...
    正在设置 libxshmfence1:i386 (1.2-1) ...
    正在设置 libdrm-amdgpu1:i386 (2.4.91-2~16.04.1) ...
    正在设置 libpciaccess0:i386 (0.13.4-1) ...
    正在设置 libdrm-intel1:i386 (2.4.91-2~16.04.1) ...
    正在设置 libdrm-nouveau2:i386 (2.4.91-2~16.04.1) ...
    正在设置 libdrm-radeon1:i386 (2.4.91-2~16.04.1) ...
    正在设置 libelf1:i386 (0.165-3ubuntu1.2) ...
    正在设置 libedit2:i386 (3.1-20150325-1ubuntu2) ...
    正在设置 libllvm6.0:i386 (1:6.0-1ubuntu2~16.04.1) ...
    正在设置 libsensors4:i386 (1:3.4.0-2) ...
    正在设置 libgl1-mesa-dri:i386 (18.0.5-0ubuntu0~16.04.1) ...
    正在设置 libgl1-mesa-glx:i386 (18.0.5-0ubuntu0~16.04.1) ...
    正在设置 libgl1-mesa-dev:amd64 (18.0.5-0ubuntu0~16.04.1) ...
    正在设置 libgles2-mesa:amd64 (18.0.5-0ubuntu0~16.04.1) ...
    正在设置 libglu1-mesa:i386 (9.0.0-2.1) ...
    正在设置 libosmesa6:i386 (18.0.5-0ubuntu0~16.04.1) ...
    正在设置 libxslt1.1:i386 (1.1.28-2.1ubuntu0.3) ...
    正在设置 libv4lconvert0:i386 (1.10.0-1) ...
    正在设置 libv4l-0:i386 (1.10.0-1) ...
    正在设置 libpng16-16:i386 (1.6.20-2) ...
    正在设置 libodbc1:i386 (2.3.1-4.1) ...
    正在设置 deepin-libwine:i386 (2.18-12) ...
    正在设置 deepin-wine32:i386 (2.18-12) ...
    正在设置 deepin-wine (2.18-12) ...
    正在设置 deepin-wine-binfmt (2.18-12) ...
    正在设置 deepin-wine32-preloader:i386 (2.18-12) ...
    正在设置 deepin-libwine-dbg:i386 (2.18-12) ...
    正在设置 libtxc-dxtn-s2tc0:i386 (0~git20131104-1.1) ...
    update-alternatives: 使用 /usr/lib/i386-linux-gnu/libtxc_dxtn_s2tc.so.0 来在自动模式中提供 /usr/lib/i386-linux-gnu/libtxc_dxtn.so (libtxc-dxtn-i386-linux-gnu)
    正在处理用于 libc-bin (2.23-0ubuntu11) 的触发器 ...
    
    # huziqin @ T460 in ~/work/deepin-wine/deepin-wine-for-ubuntu on git:master o [16:33:07] 
    $ deepin-wine
    Usage: wine PROGRAM [ARGUMENTS...]   Run the specified program
           wine --help                   Display this help and exit
           wine --version                Output version information and exit
    
    # huziqin @ T460 in ~/work/deepin-wine/deepin-wine-for-ubuntu on git:master o [16:33:40] C:1
    $ deepin-wine --version
    wine-2.18
    
    
    
    展开全文
  • 先前装了linux deepin,并windows 7能使用,是linuxdeepin自带的引导,后来安装Centos 6把linuxdeepin的引导覆盖了,现在引导变成了centos带的引导grub.windows7能进,但是linuxdeepin进不了了,从win7进linuxdeepin...

    先前装了linux deepin,并windows 7能使用,是linuxdeepin自带的引导,后来安装Centos 6把linuxdeepin的引导覆盖了,现在引导变成了centos带的引导grub.windows7能进,但是linuxdeepin进不了了,从win7进linuxdeepin的分区/boot/grub 找到grub.cfg,想用easyBCD新建引导弄上去,但是grub.cfg和menu.lst不一样不懂呀,求高手解决。附上grub.cfg里有用的一段,求高手看下怎么写.用easybcd'装nerogrub后menu.lst怎么写……

    initrd        /boot/initrd.img-2.6.38-12-generic

    }

    menuentry 'Linux Deepin 11.06.1 32-bit, 2.6.38-11-generic (/dev/sda13)' --class linuxdeepin --class gnu-linux --class gnu --class os {

    recordfail

    set gfxpayload=$linux_gfx_mode

    insmod part_msdos

    insmod ext2

    set root='(/dev/sda,msdos13)'

    search --no-floppy --fs-uuid --set=root 64fc79b0-2783-402a-a52d-24ca56deb0bc

    linux        /boot/vmlinuz-2.6.38-11-generic root=UUID=64fc79b0-2783-402a-a52d-24ca56deb0bc ro   quiet splash vt.handoff=7

    initrd        /boot/initrd.img-2.6.38-11-generic

    }

    menuentry 'Linux Deepin 11.06.1 32-bit, 2.6.38-11-generic (/dev/sda13) -- recovery mode' --class linuxdeepin --class gnu-linux --class gnu --class os {

    recordfail

    set gfxpayload=$linux_gfx_mode

    insmod part_msdos

    insmod ext2

    set root='(/dev/sda,msdos13)'

    search --no-floppy --fs-uuid --set=root 64fc79b0-2783-402a-a52d-24ca56deb0bc

    echo        'Loading Linux 2.6.38-11-generic ...'

    linux        /boot/vmlinuz-2.6.38-11-generic root=UUID=64fc79b0-2783-402a-a52d-24ca56deb0bc ro single

    echo        'Loading initial ramdisk ...'

    initrd        /boot/initrd.img-2.6.38-11-generic

    }

    }

    ### END

    展开全文
  • Deepin Live cd修复引导

    2021-05-18 17:25:43
    sudo service lightdm stopstartx进入Live CD系统后打开终端,挂载需要修复系统的 / 挂载到/mnt,可以利用Gparted或者sudo fdisk -l命令查看,例如需要修复系统的/分区为/dev/sda1。执行以下命令:sudo m...
  • Deepin修复启动项菜单---grub2启动修复

    千次阅读 2021-01-12 14:11:56
    target=$(ls /usr/lib/grub/ | grep efi) grub-install --recheck /dev/sda 重装Grub完毕,重启电脑发现没有windows选项(如果你为多系统),请进入Deepin后终端执行:sudo update-grub 使用Boot Repair修复 ...
  • 之前先安装win7,再安装deepin(简单模式) win7重装win10后,只能进入win10系统 解决方法 1、首先进入windows系统,使用easybcd加入deepin所在区的启动项(注意选择grub2类型) 2、使用deepin live CD模式进入...
  • 修复启动

    2021-05-17 19:38:07
    进入系统之后,在终端下输入`sudo update-grub`,之后在控制中心打开启动菜单选项,等待它自动更新,更新完毕后就完成修复工作了,可以正常引导deepin15.3了。欢呼吧! 鸣谢:@mattd ### 旧版方法 ``` GRUB loading...
  • deepin启动引导修复教程

    千次阅读 2020-12-30 17:41:41
    deepin系统很不错使用的用户也很多但是在启动引导的时候还是有不少用户遇到了问题,今天就给你们带来了deepin启动引导修复教程,快来一起看看吧。deepin启动引导怎么修复:1、首先准备Deepin安装U盘,随后插入电脑,...
  • windows+deepin(x64):双系统安装教程-传统引导+mbr[原创] 本教程仅适用于legacy引导+mbr模式的电脑!用UEFI引导模式的电脑的看看就好…… 很多小伙伴们都羡慕别人装的双系统,今天我们也来装一个~ 注:本教程仅供...
  • 目前Deepin 20系统的政策是不支持自定义主题,即在Deepin 20里不支持更改任何主题,不过更换图标这个是可以的,如果想在Deepin 20系统里改主题只能是安装其它的桌面或者是更改版本。做了修改主题的尝试,但不成功...
  • 以下介绍深度Deepin 20(1003)版本先进的地方,它相比其它的Deepin 20版本的确改进了不少,表现在修复了众多的BUG,现在只需要更新系统即可用上1003或更高版本。深度Deepin 20(1003)修复了BUG及改进的地方1、完全可以...
  • Deepin修复Windows引导

    千次阅读 2018-08-22 13:12:42
    sudo update-grub2
  • 安装deepin系统后,可能是因为网卡比较新。系统并没有是配出网卡驱动,导致无法联网。解决方法是安装对应的网卡驱动。在官网上下载好对应的驱动,注意我用的是2.5G Ethernet LINUX driver r8125 for kernel up to 5.6...
  • ,无法启动, 修复开机引导,deepingrub导致deepin无法正常启动的来由win10 系统更新, 覆盖式更新,修复了自己的引导,损坏了deepin的引导报错正常启动deepin 进入 grub rescue> 模式,报错 not find system...
  • win10 系统更新, 覆盖式更新,修复了自己的引导,损坏了deepin的引导 报错 正常启动deepin 进入 grub rescue> 模式,报错 not find systemfile 解决问题在grub rescue> 模式下进入桌面使用ls 命令,显示所有的分区...
  • 本来已有一个Windows系统,在安装deepin组成双...1 进入deepin系统,打开深度商店安装 深度系统修复工具 2 需要授权,输入登录密码 3 点引导修复,等待修复完成重启就会发现有deepin和Windows两个启动项了 ...
  • 本文主要讲解通过Deepin系统的安装U盘来修复启动引导问题。我目前电脑是Win10+Deepin15.11,先装的Win10,所以就应该是EFI引导+GPT分区模式,在BIOS里调为Windows 10引导就只能进Windows系统,调为Deepin引导,就...
  • 第一次发生这种状况,是因为上一次关机时我直接断电了(并非故意的,我用了deepin一个月出了好几次关机后死机╮(╯▽╰)╭) 参考: 爱之墨色(完美解决)linux 开机进入initramfs无法开机 Jerry_SCY deepin系统...
  • deepin efi分区作死与失败的修复

    千次阅读 2018-04-25 13:39:23
    一、起因 直接把debian格式化,然后装的deepin,故efi分区里残留了debian文件夹。将其删除时发现此分区中还有Ubuntu文件夹,然后头脑一热,就手欠删掉了。之后就进不了grub2了。 后来发现deepin的引导文件夹本身...
  • 以下是具体的手动修复记录,简单的说是连接上网,重新的更新系统。如果需要升级到深度20.2,建议先参考升级深度Deepin 20.2系统失败的用户请采用本临时方案解决。前言闲来无事,打开Deepin 20.2设置里的更新,发现...
  • 执行: echo -e "[Desktop Entry]\nType=Application\nExec=/bin/sh -c \"xrandr -s 1680x1050 && xrandr -s 1920x1080\"" > ~/.config/autostart/set_resolution.desktop 重启后会自动恢复正常。
  • 深度操作系统现已发布最新更新,新增“ apt-get custom-update”命令行,支持指定源更新,同时修复了关闭检查应用商店的应用更新后不生效的问题。此外,使用快捷键“ctrl+alt+R”进行录屏实际触发为截图的问题也已...
  • Win10和Deepin放在了一个硬盘,现Win10硬盘空间不足,通过Win10的硬盘管理删除了Deepin的分区,重启后进入Gun Grub,需要重建引导项。 正文 通过软件(以DiskGenius为例)建立启动项。 启动文件:系统安装盘下...
  • 在2018.11.29日,深度系统更新了,所有使用Deepin 15.8的用户都可以在终端中使用sudo apt-get update && sudo apt-get dist-upgrade命令来更新系统。使用系统图形界面的更新功能更新也可以。2018.11.29更新...
  • 使用Deepin Recovery修复无法使用sudo问题 Deepin使用习惯 deepin使用rime输入法 使用Deepin Recovery修复无法使用sudo问题 问题原因 因为手残,使用sudo visudo想把当前用户设置为sodu用户,由于语法与...

空空如也

空空如也

1 2 3 4 5 ... 20
收藏数 1,637
精华内容 654
关键字:

修复deepin